Get all time entries for a client Run in API Explorer
Ask AI
Includes time entries within the client account cases, and tasks.
Query parameters
-
Filter by a comma separated list of trackable types.
-
Time entries owned by account UUIDs, comma separated list. Do not include if getting time entries for current user.
-
Filter by time entries after a given start date.
-
Filter by time entries before a given start date.
-
Filter by time entries after a given end date.
-
Filter by time entries before a given end date.
-
Field to sort by. Valid fields are [created_at, start_date, end_date]. Negative sign to denote DESC. Defaults to '-end_date'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/client/{client_uuid}/all-time-entries
curl \
--request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/all-time-entries' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "06cf7b3f-c2a1-4b51-96c8-f47340ecd01c",
"created_at": "2026-10-29T17:25:05+00:00",
"updated_at": "2026-10-29T17:25:05+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "b273d06b-f89b-4ee8-acc3-ee2182824891",
"created_at": "2026-10-29T17:25:05+00:00",
"updated_at": "2026-10-29T17:25:05+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-10-29T16:35:05+00:00",
"end_date": "2026-10-29T17:03:05+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "70aa2cb3-8a0f-4a2b-b9c0-a8744c5ba693",
"created_at": "2026-10-29T17:25:05+00:00",
"updated_at": "2026-10-29T17:25:05+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}